Summary:	New World Mac Bootloader
Name:		yaboot
Version:	1.3.9
Release:	2mdk
License:	GPL
Group:		System/Kernel and hardware
ExclusiveArch: 	ppc

Source:		http://penguinppc.org/usr/yaboot/yaboot-%{version}.tar.bz2
Patch1: 	yaboot-1.3.3-man.patch.bz2
Patch2: 	yaboot-1.3.6-ofboot.patch.bz2
Patch3:		yaboot-1.3.8-ofpath-imac.patch.bz2
Patch4:		yaboot-1.3.9_fix_neg_one_part.patch.bz2

Url:		http://penguinppc.org/projects/yaboot/
BuildRoot:	%_tmppath/%name-%version-root

Provides: ybin
Obsoletes: ybin

%description
Ybin is a GNU/Linux utility to install the yaboot  boot loader onto a 
bootstrap partition. It will not run from MacOS.                        

Yaboot is the bootloader for NewWorld PowerMacs and  IBM CHRP hardware 
architectures. It will not work on OldWorld PowerMacs. 
                       
ybin (YaBoot INstaller) was created so that there could be a lilo/quik 
style bootloader installer for PowerPC based machines which require 
bootstrap partitions rather then a traditional bootblock (ie all 
`newworld' Macintoshes). It is designed to install yaboot, an  
OpenFirmware bootloader for GNU/Linux written by Benjamin Herrenschmidt. 
When ybin is configured correctly you can simply type ybin, and the 
bootloader and its configuration will be installed/updated on the 
bootstrap partition without any further user intervention.  ybin also 
supports IBM bootstrap partitions. 

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

#change some install paths
perl -pi -e 's|-o root -g root||g' Makefile
#bzip man-pages
perl -pi -e 's|gzip -9|bzip2 -9|g' Makefile
perl -pi -e 's|8.gz|8.bz2|g' Makefile
perl -pi -e 's|5.gz|5.bz2|g' Makefile
perl -pi -e 's|gunzip man/\*.gz|bunzip2 man/\*.bz2|g' Makefile

%build
%make

%install
%makeinstall ROOT=$RPM_BUILD_ROOT PREFIX=%{_prefix} MANDIR=share/man

%clean
rm -fr %buildroot

%post
USELOCAL=`grep '\/usr\/local' /etc/yaboot.conf`
if [ -n "$USELOCAL" ]; then
perl -pi -e 's|/usr/local|/usr|g' /etc/yaboot.conf
fi
/usr/sbin/ybin

%files
%defattr(-,root,root)
%doc COPYING README* doc/*
%config(noreplace) /etc/yaboot.conf
%{_sbindir}/ofpath
%{_sbindir}/ybin
%{_sbindir}/yabootconfig
%{_sbindir}/mkofboot
%{_libdir}/yaboot/addnote
%{_libdir}/yaboot/ofboot
%{_libdir}/yaboot/yaboot
%{_mandir}/man8/bootstrap.8.bz2
%{_mandir}/man8/mkofboot.8.bz2
%{_mandir}/man8/ofpath.8.bz2
%{_mandir}/man8/yaboot.8.bz2
%{_mandir}/man8/ybin.8.bz2
%{_mandir}/man5/yaboot.conf.5.bz2
%{_mandir}/man8/yabootconfig.8.bz2

%changelog
* Tue Mar  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.9-2mdk
- add patch4 - fix RS6000 detection of -1 as default partition

* Tue Feb 25 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9 - needed for new TiBooks, new man page

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.8-2mdk
- rebuild for new glib/rpm - patch ofpath for old iMacs

* Tue Dec  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.8-1mdk
- 1.3.8

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.7-4mdk
- update old yaboot.conf paths in %%post if necessary

* Mon Oct 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.7-3mdk
- fix %%post

* Mon Oct 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.7-2mdk
- rework ofboot patch (patch2 - boot banner)

* Wed Oct  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.7-1mdk
- new version, clean up spec file, file locations

* Fri Dec 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.6-1mdk
- new version IBM CHRP support back, updated documentation

* Wed Nov 28 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.5-1mdk
- new version, journalled FS support

* Wed Oct 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.4-1mdk
- merge of yaboot/ybin projects, new version, change package name

* Fri May 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-4mdk
- really fix makefile - mkofboot symlink still broke

* Thu May 10 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-3mdk
- really fix makefile - mkofboot in /sbin too

* Mon Feb 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-2mdk
- moved ybin to /sbin - root level utility

* Mon Feb 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.30-1mdk
- packaged as RPM

